<template>
  <div class="bread content">
    <el-breadcrumb separator=">" style="margin: 0.2rem 0">
      <el-breadcrumb-item>首页</el-breadcrumb-item>
      <el-breadcrumb-item>{{name}}</el-breadcrumb-item>
    </el-breadcrumb>
  </div>
</template>

<script>
export default {
  data(){
    return{
      name:'招投标'
    }
  },
  mounted(){
    let path = this.$route.path;
         console.log(path+'------------------')
         switch (path) {
           case '/':
             this.name = "招投标";
             break;
           case '/notice/inquiry':
             this.name = "询价工告";
             break;
           case "/notice/bid":
             this.name = "招标公告";
             break;
           case "/notice/biding":
             this.name = "中标公告";
             break;
           case "/notice/all":
             this.name = "招投标";
             break;
           case "/notice/cadidate":
             this.name = "中标候选人公示";
             break;
            case "/notice/change":
            this.name = "变更公告";
            break;
            case "/notice/clarifies":
            this.name = "澄清公告";
            break;
            case "/notice/abortive":
            this.name = "流标公告";
            break;
            default:
              this.name = "信息公告"
         }
  },
  watch: {
      $route() {
        this.getindex();
      }
    },
  methods:{
      getindex() {
         let path = this.$route.path;
         console.log(path+'------------------')
         switch (path) {
           case '/':
             this.name = "招投标";
             break;
           case '/notice/inquiry':
             this.name = "询价工告";
             break;
           case "/notice/bid":
             this.name = "招标公告";
             break;
           case "/notice/biding":
             this.name = "中标公告";
             break;
           case "/notice/all":
             this.name = "招投标";
             break;
           case "/notice/cadidate":
             this.name = "中标候选人公示";
             break;
            case "/notice/change":
            this.name = "变更公告";
            break;
            case "/notice/clarifies":
            this.name = "澄清公告";
            break;
            case "/notice/abortive":
            this.name = "流标公告";
            break;
            default:
              this.name = "信息公告"
         }
      } 
   }
}
</script>

<style scoped>
</style>
